Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.stream
Class StreamCallPayload

    java.lang.Object
      org.jboss.remoting.stream.StreamCallPayload

All Implemented Interfaces:
  java.io.Serializable

    public class StreamCallPayload

extends java.lang.Object
implements java.io.Serializable

The StreamCallPayload is used when making calls from the server to the client to read from the original input stream. It will contain the method name being called from the server side (i.e. available(), read(), etc.) along with any parameters for the respective method.

Author:
  Tom Elrod
See Also:
  Serialized Form

Constructor Summary
`StreamCallPayload(java.lang.String methodCallName)` Constructor which requires the name of the method to call on the the original stream.

Method Summary
`java.lang.String` | `getMethod()` Gets the method to call on the original stream.
`java.lang.Object[]` | `getParams()` Gets the params for the method to call on the stream.
`void` | `setParams(java.lang.Object[] params)` Sets the params for the method to call on the stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamCallPayload

    public StreamCallPayload(java.lang.String methodCallName)

  Constructor which requires the name of the method to call on the the original stream.

  Parameters:
    `methodCallName` -

Method Detail

### getMethod

    public java.lang.String getMethod()

  Gets the method to call on the original stream.

  Returns:

### setParams

    public void setParams(java.lang.Object[] params)

  Sets the params for the method to call on the stream. For example, the Integer for markSupported(int supported).

  Parameters:
    `params` -

### getParams

    public java.lang.Object[] getParams()

  Gets the params for the method to call on the stream.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.